### Enumeration

# Gio TlsChannelBindingError

since: 2.66

#### Declaration

    error-domain Gio.TlsChannelBindingError

#### Description

An error code used with `G_TLS_CHANNEL_BINDING_ERROR` in a `GError` to indicate a TLS channel binding retrieval error.

Available since: 2.66

#### Members

`G_TLS_CHANNEL_BINDING_ERROR_NOT_IMPLEMENTED`

  Either entire binding retrieval facility or specific binding type is not implemented in the TLS backend.

  - Value: `0`
  - Available since: 2.66
`G_TLS_CHANNEL_BINDING_ERROR_INVALID_STATE`

  The handshake is not yet complete on the connection which is a strong requirement for any existing binding type.

  - Value: `1`
  - Available since: 2.66
`G_TLS_CHANNEL_BINDING_ERROR_NOT_AVAILABLE`

  Handshake is complete but binding data is not available. That normally indicates the TLS implementation failed to provide the binding data. For example, some implementations do not provide a peer certificate for resumed connections.

  - Value: `2`
  - Available since: 2.66
`G_TLS_CHANNEL_BINDING_ERROR_NOT_SUPPORTED`

  Binding type is not supported on the current connection. This error could be triggered when requesting `tls-server-end-point` binding data for a certificate which has no hash function or uses multiple hash functions.

  - Value: `3`
  - Available since: 2.66
`G_TLS_CHANNEL_BINDING_ERROR_GENERAL_ERROR`

  Any other backend error preventing binding data retrieval.

  - Value: `4`
  - Available since: 2.66

#### Type functions

###### g_tls_channel_binding_error_quark

Gets the TLS channel binding error quark.

since: 2.66